# Webhook Event Details This operation fetches detailed information about a specific webhook event using its unique identifier. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "Webhook events", "description": "Operations related to webhook events." } ], "paths": { "/public/v1/webhook-events/{id}": { "get": { "tags": [ "Webhook events" ], "summary": "Webhook Event Details", "description": "This operation fetches detailed information about a specific webhook event using its unique identifier.", "operationId": "detailsWebhookEvent", "parameters": [ { "name": "id", "in": "path", "description": "Webhook event uuid.", "required": true, "schema": { "type": "string", "format": "uuid" }, "example": "8b61d111-5e0b-406d-a150-e8305fc7e97a" } ], "responses": { "200": { "description": "Get webhook event by uuid.", "content": { "application/json": { "examples": { "Webhook Event details": { "value": { "uuid": "8b61d111-5e0b-406d-a150-e8305fc7e97a", "name": "My document", "type": "document_state_changed", "error": null, "url": "https://webhook.example.pandadoc.com", "signature": "f70111adccaa0111e89ae0a111a04c16f5c5d3d111bff018a111d22dcd28c2bb", "http_status_code": 404, "delivery_time": "2024-07-31T16:06:12.707814Z", "request_body": "[{\"event\":\"document_state_changed\",\"data\":{\"id\":\"aahcZhiB6pKRbjagoZrrrr\",\"name\":\"Document from PandaDoc Template\",\"date_created\":\"2024-07-31T16:06:09.114744Z\",\"date_modified\":\"2024-07-31T16:06:09.157758Z\",\"expiration_date\":null,\"autonumbering_sequence_name\":null,\"created_by\":{\"id\":\"FA5QAu8UGA3oVDQZuPL7rr\",\"email\":\"test@pandadoc.com\",\"first_name\":\"FirstName\",\"last_name\":\"LastName\",\"avatar\":null,\"membership_id\":\"RyMNXBjBPRppw56TfYBrrr\"},\"tags\":[\"created_via_api\"],\"status\":\"document.draft\",\"recipients\":[{\"type\":\"recipient\",\"id\":\"TM2nqhKYgPmJA9hUPDKHrr\",\"first_name\":\"Josh\",\"last_name\":\"Ron\",\"email\":\"josh@example.com\",\"phone\":\"\",\"recipient_type\":\"CC\",\"has_completed\":false,\"role\":\"\",\"roles\":[],\"signing_order\":null,\"contact_id\":\"DrNfkrquTcXH83cgF5ZGrr\",\"shared_link\":\"\"}],\"sent_by\":null,\"grand_total\":{\"amount\":\"0.00\",\"currency\":\"EUR\"},\"template\":{\"id\":\"7Xfnrk7dTaWJ78wNUrg3rr\",\"name\":\"Sample Template\"},\"version\":\"2\",\"linked_objects\":[]}}]", "response_body": "{\"success\":true}", "response_headers": "[cache-control:\"no-cache, private\", content-type:\"application/json\", date:\"Wed, 31 Jul 2024 16:06:12 GMT\", server:\"nginx\", transfer-encoding:\"chunked\", vary:\"Accept-Encoding\"]", "event_time": "2024-07-31T16:06:10.781000Z" } } }, "schema": { "$ref": "#/components/schemas/WebhookEventDetailsResponse" } } } }, "401": { "$ref": "#/components/responses/401" }, "429": { "$ref": "#/components/responses/429" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "WebhookEventTriggerEnum": { "type": "string", "enum": [ "recipient_completed", "document_updated", "document_deleted", "document_state_changed", "document_creation_failed", "document_completed_pdf_ready", "document_section_added", "quote_updated", "template_created", "template_updated", "template_deleted", "content_library_item_created", "content_library_item_creation_failed" ], "example": "document_state_changed" }, "WebhookEventErrorEnum": { "type": "string", "enum": [ "INTERNAL_ERROR", "NOT_VALID_URL", "CONNECT_ERROR", "TIMEOUT_ERROR" ], "example": "TIMEOUT_ERROR", "nullable": true }, "WebhookEventDetailsResponse": { "type": "object", "properties": { "uuid": { "type": "string", "description": "Unique webhook subscription event identifier", "format": "uuid", "nullable": true, "example": "123e4567-e89b-12d3-a456-426614174000" }, "name": { "type": "string", "description": "Webhook subscription name", "nullable": false, "example": "My Subscription" }, "type": { "$ref": "#/components/schemas/WebhookEventTriggerEnum" }, "http_status_code": { "type": "integer", "format": "int32", "description": "Webhook subscription event response http status code", "nullable": true, "example": 200 }, "error": { "$ref": "#/components/schemas/WebhookEventErrorEnum" }, "delivery_time": { "type": "string", "format": "date-time", "description": "Webhook subscription event delivery time", "nullable": false, "example": "2022-06-20T15:04:59.424730Z" }, "url": { "type": "string", "description": "Webhook subscription event destination url", "nullable": false, "example": "https://example.com" }, "signature": { "type": "string", "description": "Webhook subscription event digital signature", "nullable": false, "example": "587c22285F57883db3ee" }, "request_body": { "type": "string", "description": "Webhook subscription event request body", "nullable": false, "example": "[{\\\"event\\\":\\\"document_state_changed\\\"}]" }, "response_body": { "type": "string", "description": "Webhook subscription response body", "nullable": true, "example": "\\n\\n" }, "response_headers": { "type": "string", "description": "Webhook subscription response headers", "nullable": true, "example": "[cache-control:\\\"max-age=604800\\\"]" }, "event_time": { "type": "string", "format": "date-time", "description": "Webhook subscription event trigger time", "nullable": false, "example": "2022-06-20T15:04:58.424730Z" } } } }, "responses": { "401": { "description": "Authentication error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "authentication_error" }, "detail": { "type": "string", "example": "Authentication credentials were not provided." } } } } } }, "429": { "description": "Too Many Requests", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "throttled" }, "detail": { "type": "string", "example": "Request was throttled." } } } } } } } } } ```